<?php
namespace Magento\ImportExport\Helper\Report;

/**
 * Interceptor class for @see \Magento\ImportExport\Helper\Report
 */
class Interceptor extends \Magento\ImportExport\Helper\Report implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\App\Helper\Context $context, \Magento\Framework\Stdlib\DateTime\Timezone $timeZone, \Magento\Framework\Filesystem $filesystem)
    {
        $this->___init();
        parent::__construct($context, $timeZone, $filesystem);
    }

    /**
     * {@inheritdoc}
     */
    public function getExecutionTime($time)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getExecutionTime');
        return $pluginInfo ? $this->___callPlugins('getExecutionTime', func_get_args(), $pluginInfo) : parent::getExecutionTime($time);
    }
}
